#!/etc/opt/openit/perl

use strict;

my $incoming_dir = $ARGV[ 0 ];
my $user = $ARGV[ 1 ];
my $group = $ARGV[ 2 ];

my $archiver_inc_dir = "$incoming_dir/archiver";

if( ! -d $archiver_inc_dir ) {
	mkdir $archiver_inc_dir or die "Failed to make $archiver_inc_dir: $!\n";
	my $err = system( "chown $user:$group $archiver_inc_dir" );
	if( $err ) {
		$err = system( "chown $user $archiver_inc_dir" );
		if( $err ) {
			die "Failed to chown: $err\n";
		}
	}
}

my @files = <$incoming_dir/archiver-*-*-*.in*>;

foreach my $file( @files ) {
	system( "mv $file $archiver_inc_dir" );
}

